KIconView class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KIconView Class Reference

This Widget extends the functionality of QIconView to honor the system wide settings for Single Click/Double Click mode, Auto Selection and Change Cursor over Link. A variant of QIconView that honors KDE's system-wide settings. More...

`#include <kiconview.h>`

Inheritance diagram for KIconView:

[legend]
Collaboration diagram for KIconView:

[legend]
List of all members.

## Public Types
enum | Mode { Execute, Select }
| KIconView has two different operating modes. More...
## Signals
void | executed (QIconViewItem *item)
| This signal is emitted whenever the user executes an iconview item.
void | executed (QIconViewItem *item, const QPoint &pos)
| This signal is emitted whenever the user executes an iconview item.
void | doubleClicked (QIconViewItem *item, const QPoint &pos)
| This signal gets emitted whenever the user double clicks into the iconview.
## Public Member Functions
| KIconView (QWidget *parent=0, const char *name=0, WFlags f=0)
void | setMode (Mode m)
| Sets the mode to Execute or Select.
Mode | mode () const
virtual void | setFont (const QFont &)
| Reimplemented for internal purposes.
## Protected Slots
void | slotOnItem (QIconViewItem *item)
void | slotOnViewport ()
void | slotSettingsChanged (int)
void | slotAutoSelect ()
| Auto selection happend.
## Protected Member Functions
void | emitExecute (QIconViewItem *item, const QPoint &pos)
virtual void | focusOutEvent (QFocusEvent *fe)
virtual void | leaveEvent (QEvent *e)
virtual void | contentsMousePressEvent (QMouseEvent *e)
virtual void | contentsMouseDoubleClickEvent (QMouseEvent *e)
virtual void | contentsMouseReleaseEvent (QMouseEvent *e)
virtual void | virtual_hook (int id, void *data)
## Friends
class | KIconViewItem

## Detailed Description

This Widget extends the functionality of QIconView to honor the system wide settings for Single Click/Double Click mode, Auto Selection and Change Cursor over Link. A variant of QIconView that honors KDE's system-wide settings.

There is a new signal executed(). It gets connected to either QIconView::clicked() or QIconView::doubleClicked() depending on the KDE wide Single Click/Double Click settings. It is strongly recomended that you use this signal instead of the above mentioned. This way you donīt need to care about the current settings. If you want to get informed when the user selects something connect to the QIconView::selectionChanged() signal.

Definition at line 39 of file kiconview.h.

## Member Enumeration Documentation

enum KIconView::Mode

| KIconView has two different operating modes. Execute mode is depending on the configuration of single-click or double-click where the signal executed() will be emitted upon click/double-click. In Select mode, this signal will not be emitted. Default is Execute mode. Definition at line 59 of file kiconview.h. Referenced by mode().

## Member Function Documentation

void KIconView::setMode | ( | Mode | m | ) |

| Sets the mode to Execute or Select. In Execute mode, the signal executed() will be emitted when the user clicks/double-clicks an item. Select mode is the normal QIconView mode. Default is Execute. Definition at line 82 of file kiconview.cpp.

KIconView::Mode KIconView::mode | ( |  | ) | const

| Returns: the current Mode, either Execute or Select. Definition at line 87 of file kiconview.cpp. References Mode.

void KIconView::setFont | ( | const QFont & |  | ) | `[virtual]`

| Reimplemented for internal purposes. Definition at line 328 of file kiconview.cpp.

void KIconView::executed | ( | QIconViewItem * | item | ) | `[signal]`

  | This signal is emitted whenever the user executes an iconview item. That means depending on the KDE wide Single Click/Double Click setting the user clicked or double clicked on that item. Parameters:
  item | is the pointer to the executed iconview item.
Note that you may not delete any QIconViewItem objects in slots connected to this signal.

void KIconView::executed | ( | QIconViewItem * | item,
|  | const QPoint & | pos
| ) | `[signal]`

  | This signal is emitted whenever the user executes an iconview item. That means depending on the KDE wide Single Click/Double Click setting the user clicked or double clicked on that item. Parameters:
  item | is the pointer to the executed iconview item.
  pos | is the position where the user has clicked
Note that you may not delete any QIconViewItem objects in slots connected to this signal.

void KIconView::doubleClicked | ( | QIconViewItem * | item,
|  | const QPoint & | pos
| ) | `[signal]`

  | This signal gets emitted whenever the user double clicks into the iconview. Parameters:
  item | is the pointer to the clicked iconview item.
  pos | is the position where the user has clicked, and
Note that you may not delete any QIconViewItem objects in slots connected to this signal. This signal is more or less here for the sake of completeness. You should normally not need to use this. In most cases itīs better to use executed() instead.

void KIconView::slotAutoSelect | ( |  | ) | `[protected, slot]`

| Auto selection happend. Definition at line 152 of file kiconview.cpp. References QIconView::clearSelection(), QIconView::currentItem(), QIconView::firstItem(), QIconViewItem::height(), QIconView::index(), QIconViewItem::intersects(), QIconViewItem::isSelected(), QIconViewItem::nextItem(), QRect::normalize(), QIconViewItem::rect(), QIconView::selectionChanged(), QIconView::selectionMode(), QIconView::setCurrentItem(), QRect::setHeight(), QIconView::setSelected(), QRect::setWidth(), QRect::unite(), QIconViewItem::width(), QIconViewItem::x(), and QIconViewItem::y().

The documentation for this class was generated from the following files:

- kiconview.h
- kiconview.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:01:07 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001